using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication36
{
    class Program
    {
        
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            double p = Convert.ToDouble(s[0]);
            double q = Convert.ToDouble(s[1]);
            double r = Convert.ToDouble(s[2]);
            long L = Convert.ToInt64(s[3]);
            long R = Convert.ToInt64(s[4]);
            long c = 0;
            double z = 0;
            bool key = true;
            if (p == 7 || q == 7 || r == 7 && p == 3 || q == 3 || r == 3 && p == 2 || q == 2 || r == 2)
            {
                long a1, a2, a3, a4, a5, a6;
                if (L % 6 == 0) a1 = L;
                else a1 = L + 6 - (L % 6);
                if (L % 14 == 0) a2 = L;
                else a2 = L + 14 - (L % 14);
                if (L % 21 == 0) a3 = L;
                else a3 = L + 21 - (L % 21);
                if (R % 6 == 0) a4 = R;
                else a4 = R - (R % 6);
                if (R % 14 == 0) a5 = R;
                else a5 = R - (R % 14);
                if (R % 21 == 0) a6 = R;
                else a6 = R - (R % 21);
                c = (a4 - a1) / 6 + (a5 - a2) / 14 + (a6 - a3) / 21 + 3;
                key = false;
                
            }
            if (p == 1 || q == 1 || r == 1)
            {
                c = 0;
                key = false;
            }
            if (key)
            {
                for (double i = L; i <= R; i++)
                {
                    z = 0;
                    z = Math.Ceiling(i / q) + Math.Ceiling(i / r) + Math.Ceiling(i / p);
                    if (z <= i) c++;
                }
            }
            
            Console.WriteLine(c.ToString());

        }
    }
}